Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455670 - Mirror to mirror upconvert is broken (especially wrt cluster mirrors)
Summary: Mirror to mirror upconvert is broken (especially wrt cluster mirrors)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2
Version: 5.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 21:43 UTC by Jonathan Earl Brassow
Modified: 2010-01-12 03:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:46:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0179 normal SHIPPED_LIVE lvm2 bug-fix and enhancement update 2009-01-20 16:05:45 UTC

Description Jonathan Earl Brassow 2008-07-16 21:43:39 UTC
When going from 2-way mirrors to 3-way mirrors, the 3-way mirror is activated
(resumed in device-mapper) before the 2-way mirror is deactivated
(suspended/removed in device-mapper).

I assume that the way this is happening is that when a new mirror gets stacked
on the first to form the 3-way, there is a point in time when the old 2-way gets
activated twice.

Comment 2 Jonathan Earl Brassow 2008-07-16 22:06:03 UTC
... and patches existed in February, but for some reason, didn't make it into
CVS or rhel...

https://www.redhat.com/archives/lvm-devel/2008-February/msg00007.html

Comment 3 Alasdair Kergon 2008-07-17 01:14:05 UTC
There was discussion at the time concluding that an in-kernel enhancement with
interface extension was the correct long-term solution.

Those patches were not acceptable as presented because they just replaced one
problem with a different problem without justification.

We can only do that if a judgement can be made that, out in the real world,
having the new problem is somehow "less bad" than having the existing problem. 
No such case was made, so I retained the status quo.


Comment 4 Corey Marthaler 2008-09-22 20:46:24 UTC
Upconvert is still broken with the latest code.

2.6.18-116.el5

lvm2-2.02.40-2.el5    BUILT: Fri Sep 19 09:46:26 CDT 2008
lvm2-cluster-2.02.40-2.el5    BUILT: Fri Sep 19 09:49:59 CDT 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
cmirror-1.1.25-1.el5    BUILT: Fri Sep 19 16:27:46 CDT 2008
kmod-cmirror-0.1.17-1.el5    BUILT: Fri Sep 19 16:27:33 CDT 2008

[root@taft-03 ~]# lvconvert -m 2 taft/mirror
[hang]

Sep 22 15:40:22 taft-03 kernel: device-mapper: dm-log-clustered: [rFuXj1gF] Request timed g
device-mapper: dm-log-clustered: [rFuXj1gF] Request timed out: [DM_CLOG_POSTSUSPEND/3491] g
Sep 22 15:40:37 taft-03 kernel: device-mapper: dm-log-clustered: [rFuXj1gF] Request timed g
device-mapper: dm-log-clustered: [rFuXj1gF] Request timed out: [DM_CLOG_POSTSUSPEND/3492] g

Comment 6 Kiersten (Kerri) Anderson 2008-10-20 14:17:26 UTC
Turns out this is related to bug 460156 which is a blocker for 5.3.  Changing flags to 5.3 request and blocker status.

Comment 8 Milan Broz 2008-10-24 12:32:17 UTC
Patch in
lvm2-2.02.40-6.el5.src.rpm
lvm2-cluster-2.02.40-6.el5.src.rpm

Comment 11 errata-xmlrpc 2009-01-20 21:46:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0179.html


Note You need to log in before you can comment on or make changes to this bug.